Download it now!
Bug 132802 - FILEOPEN DOCX Auto spacing after setting from style ignored too much
Summary: FILEOPEN DOCX Auto spacing after setting from style ignored too much
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2020-05-07 10:08 UTC by NISZ LibreOffice Team
Modified: 2020-05-17 10:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (extended version of the #122342 bugdoc) (12.66 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-05-07 10:08 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (173.89 KB, image/png)
2020-05-07 10:08 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-05-07 10:08:19 UTC
Created attachment 160483 [details]
Example file from Word (extended version of the #122342 bugdoc)

After bug #122342 is fixed, it seems the “Auto” setting for Spacing after paragraph property is ignored in too many situations when it is used in paragraphs in / around tables.

Steps to reproduce:
    1. Open attached document in Writer. It has a few paragraphs formatted with CustomStyle style that contains both numbering and the “Auto” setting for spacing after paragraphs

Actual results:
Spacing after is converted to 0 in all CustomStyle -formatted numbered paragraphs, but it should not be if:
- The paragraph is followed by a table (#3)
- The paragraph is the last item in a table (#5, #6, #7)
- The paragraph is followed by a non-numbered paragraph (#8)

Expected results:
Same appearance as in Word.

LibreOffice details:
Version: 7.0.0.0.alpha1+ (x86)
Build ID: 7e257697f0006d8247a23ac91...
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: hu-HU (hu_HU); UI: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2020-05-07 10:08:46 UTC
Created attachment 160484 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Dieter 2020-05-11 07:17:16 UTC
I confirm ith with

Version: 7.0.0.0.alpha1+ (x64)
Build ID: 99c337d1d3831ce9d2c7dc1cbff713f4ac49d6ac
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

in comparison with Word 2016

Little correction for actual results:
- The paragraph is the last item in a table cell (#5, #6, #7)
Comment 3 László Németh 2020-05-12 09:17:05 UTC
tdf#132802 DOCX import: fix list bottom auto margins

of the last list item, when its numbering based on
the paragraph style.

Before tables, table rows and before paragraphs without
numbering or with different numbering list items got a
regression from commit 9a132c8fab7d4d70b91e5ed92429c70a0466afcb
(tdf#122342 DOCX import: fix bottom auto margin in lists)
Comment 4 Commit Notification 2020-05-12 09:17:31 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/99b2d53346d4b01b491cd1f7fae3304ac0572e12

tdf#132802 DOCX import: fix list bottom auto margins

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 BogdanB 2020-05-17 10:45:07 UTC
Verified.
Version: 7.0.0.0.alpha1+
Build ID: b1e396d86655a0131498a4691dd8069ea76c3477
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-05-15_04:58:38
Calc: threaded